## org.eclipse.contribution.visualiser.markerImpl
Class ResourceMember

    java.lang.Object
      org.eclipse.contribution.visualiser.simpleImpl.SimpleMember
          org.eclipse.contribution.visualiser.markerImpl.ResourceMember

All Implemented Interfaces:
  IMember

public class ResourceMember
extends SimpleMember

Member that has an IResource (normally a file) associated with it

Field Summary
`protected org.eclipse.core.resources.IResource` `resource`

Fields inherited from class org.eclipse.contribution.visualiser.simpleImpl.SimpleMember
`containingGroup, fullname, name, size, tooltip`

Constructor Summary
`ResourceMember(java.lang.String name, org.eclipse.core.resources.IResource resource)`

Method Summary
`java.lang.String` `getFullname()` Get the full name for this member
`org.eclipse.core.resources.IResource` `getResource()`
`void` `setResource(org.eclipse.core.resources.IResource resource)`
`java.lang.String` `toString()` Get the String representation of this member.

Methods inherited from class org.eclipse.contribution.visualiser.simpleImpl.SimpleMember
`getContainingGroup, getName, getSize, getToolTip, setContainingGroup, setFullName, setName, setSize, setTooltip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### resource

    protected org.eclipse.core.resources.IResource resource

Constructor Detail

### ResourceMember

    public ResourceMember(java.lang.String name,
                          org.eclipse.core.resources.IResource resource)

Parameters:
  `name` - - name
  `resource` - - associated IResource

Method Detail

### getResource

    public org.eclipse.core.resources.IResource getResource()

  Returns:
    Returns the resource.

### getFullname

    public java.lang.String getFullname()

  Get the full name for this member

  Specified by:
    `getFullname` in interface `IMember`
  Overrides:
    `getFullname` in class `SimpleMember`

### setResource

    public void setResource(org.eclipse.core.resources.IResource resource)

  Parameters:
    `resource` - The resource to set.

### toString

    public java.lang.String toString()

  Description copied from class: `SimpleMember`
  Get the String representation of this member. Contains the member's full name and size.

  Overrides:
    `toString` in class `SimpleMember`